Package: groovy.org.codenarc.analyzer

## [Groovy] Interface SourceAnalyzer

- The interface for objects that can analyze the source files within one or more directory trees using a specified RuleSet and produce report results.

  Authors:
    Chris Mair

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Results` | `analyze(RuleSet ruleSet)` Analyze all source code using the specified RuleSet and return the report results.
    `` | `List` | `getSourceDirectories()` Return the List of source directories to be analyzed.

- - ### Method Detail

    - #### Results analyze(RuleSet ruleSet)

      Analyze all source code using the specified RuleSet and return the report results.

      Parameters:
        `ruleset` - - the RuleSet to apply to each source component; must not be null.
      Returns:
        the results from applying the RuleSet to all of the source

    - #### List getSourceDirectories()

      Return the List of source directories to be analyzed. May be empty; may not be null.